pydo.spaces_key.create()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.spaces_key.create(
body={
"name": "my-access-key",
"grants": [...],
},
)Description
To create a new Spaces Access Key, send a POST request to /v2/spaces/keys.
At the moment, you cannot mix a fullaccess permission with scoped permissions.
A fullaccess permission will be prioritized if fullaccess and scoped permissions are both added.
Parameters
namestring optionalExample:
my-access-keyThe access key's name.
grantsarray of objects optionalThe list of permissions for the access key.
Show child properties
bucketstring requiredExample:
my-bucketThe name of the bucket.
permissionstring requiredExample:
readThe permission to grant to the user. Possible values are
read,readwrite,fullaccess, or an empty string.
access_keystring optional read-onlyExample:
DOACCESSKEYEXAMPLEThe Access Key ID used to access a bucket.
created_atstring optional read-onlyExample:
2018-07-19T15:04:16ZThe date and time the key was created.
Request Sample
Response Example
More Information
See /v2/spaces/keys in the API reference for additional detail on responses, headers, parameters, and more.